如何在运行gradle时检查java版本?

我的一个项目需要 Java 1.8,但有时我们没有注意到我们使用的是旧版java,因此我们会遇到一些奇怪的错误.

我想在build.gradle中添加检查,这样当我们运行任何任务时,它将首先检查版本,并打印错误并立即退出.

我尝试在第一行直接在build.gradle中添加检查,但它仍然执行其他一些任务,例如(clean,compileJava)在检查发生之前,当我运行时:

$./gradlew

怎么做得对?

如果您在构建生命周期中尽早进行检查(在build.gradle文件的开头或插件的apply方法中进行普通检查),则不应该看到执行任何任务.

你可以使用JavaVersion枚举作为gradle api的一部分:

if(JavaVersion.current() != JavaVersion.VERSION_1_8){
    throw new GradleException("This build must be run with java 8")
}
相关文章
相关标签/搜索